//////////////////////////////////////////
// GraphMaker.cpp
//Copyright (c) 12/14/2022 by ECCSkelton
//////////////////////////////////////////
#include	"GraphMaker.h"
#include	"GraphMakerProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPWSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!GraphMaker.IsOnlyOne()) {
		HWND hWnd = FindWindow(L"MainWnd", L"GraphMaker");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//CPICBOX（ウィンドウ）クラスを登録する
	if(!GraphMaker.m_PicBox.Register(hInstance))
		MessageBoxW(NULL, L"PictureBoxが登録できませんでした", L"警告", MB_OK | MB_ICONSTOP);

	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!GraphMaker.Create(NULL, hInstance, L"IDD_MAIN"))
		return 0L;

	//メッセージループに入る
	return GraphMaker.Loop();
}
